Permalink
Browse files

Release 7.0.0

  • Loading branch information...
seuros committed Jul 4, 2018
1 parent f742e96 commit 1bc10c85ca38b23d9d85e6095b16be8c3e7587cc
@@ -3,13 +3,10 @@ sudo: false
language: ruby
rvm:
- 2.6.0
- 2.5.0
- 2.4.3
- 2.5.1
- 2.4.4
- 2.3.6
- 2.2.9
# these haven't been passing for a while:
# - jruby-head
# - rbx
- 2.2.10

gemfile:
- gemfiles/activerecord_5.2.gemfile
@@ -1,21 +1,75 @@

appraise 'activerecord-4.2' do
gem 'activerecord', '~> 4.2.0'
platforms :ruby do
gem 'mysql2', "< 0.5"
gem 'pg', "~> 0.21"
gem 'sqlite3'
end

platforms :jruby do
gem 'activerecord-jdbcmysql-adapter'
gem 'activerecord-jdbcpostgresql-adapter'
gem 'activerecord-jdbcsqlite3-adapter'
end
end

appraise 'activerecord-5.0' do
gem 'activerecord', '~> 5.0.0'
platforms :ruby do
gem 'mysql2'
gem 'pg'
gem 'sqlite3'
end

platforms :jruby do
gem 'activerecord-jdbcmysql-adapter'
gem 'activerecord-jdbcpostgresql-adapter'
gem 'activerecord-jdbcsqlite3-adapter'
end
end

appraise 'activerecord-5.1' do
gem 'activerecord', '~> 5.1.0'
platforms :ruby do
gem 'mysql2'
gem 'pg'
gem 'sqlite3'
end

platforms :jruby do
gem 'activerecord-jdbcmysql-adapter'
gem 'activerecord-jdbcpostgresql-adapter'
gem 'activerecord-jdbcsqlite3-adapter'
end
end

appraise 'activerecord-5.2' do
gem 'activerecord', '~> 5.2.0'
platforms :ruby do
gem 'mysql2'
gem 'pg'
gem 'sqlite3'
end

platforms :jruby do
gem 'activerecord-jdbcmysql-adapter'
gem 'activerecord-jdbcpostgresql-adapter'
gem 'activerecord-jdbcsqlite3-adapter'
end
end

appraise 'activerecord-edge' do
gem 'activerecord', github: 'rails/rails'
gem 'arel', github: 'rails/arel'
platforms :ruby do
gem 'mysql2'
gem 'pg'
gem 'sqlite3'
end

platforms :jruby do
gem 'activerecord-jdbcmysql-adapter'
gem 'activerecord-jdbcpostgresql-adapter'
gem 'activerecord-jdbcsqlite3-adapter'
end
end
@@ -1,5 +1,26 @@
# Changelog

### 7.0.0
Closure Tree is now tested against Rails 5.2

- Postpone configuration (database introspection)[PR 264](https://github.com/ClosureTree/closure_tree/pull/264)
- Fix "tree.find_by_path([])" [PR 288](https://github.com/ClosureTree/closure_tree/pull/288)
- Fixed generator specs and added migration version [PR 292](https://github.com/ClosureTree/closure_tree/pull/292)
- Eliminate deprecation warnings in ActiveRecord 5.2 [PR 296](https://github.com/ClosureTree/closure_tree/pull/296)
- When using 'oracle_enhanced', remove 'AS' on the table_name alias. [PR 298](https://github.com/ClosureTree/closure_tree/pull/298)
- README update [PR 301](https://github.com/ClosureTree/closure_tree/pull/301)
- Add `with_descendant` finder [PR 302](https://github.com/ClosureTree/closure_tree/pull/302)
- Fix pg version for rails prior 5.1 [PR 303](https://github.com/ClosureTree/closure_tree/pull/303)
- Test on Rails 5.2 & fix mysql for older Rails [PR 304](https://github.com/ClosureTree/closure_tree/pull/304)
- Test with ActiveRecord 5.2.0 [PR 307](https://github.com/ClosureTree/closure_tree/pull/307)
- README update [PR 310](https://github.com/ClosureTree/closure_tree/pull/310)
- FactoryBot linter failing for a model that uses closure_tree [PR 311](https://github.com/ClosureTree/closure_tree/pull/311)
- Added dont_order_roots option [PR 312](https://github.com/ClosureTree/closure_tree/pull/312)
- Added instance methods to determine the relationship between 2 nodes [PR 314](https://github.com/ClosureTree/closure_tree/pull/314)
- Add an instance method to check the relationship between 2 nodes: #family_of? [PR 319](https://github.com/ClosureTree/closure_tree/pull/319)
- Remove options restrictions on has_closure_tree_root [PR 321](https://github.com/ClosureTree/closure_tree/pull/321)
- Fix uninitialized variable warnings [PR 323](https://github.com/ClosureTree/closure_tree/pull/323)

### 6.6.0

Closure Tree is now tested against Rails 5.1, and just passed 50 contributors and
12 Gemfile
@@ -1,15 +1,3 @@
source 'https://rubygems.org'

platforms :ruby, :rbx do
gem 'mysql2'
gem 'pg'
gem 'sqlite3'
end

platforms :jruby do
gem 'activerecord-jdbcmysql-adapter'
gem 'activerecord-jdbcpostgresql-adapter'
gem 'activerecord-jdbcsqlite3-adapter'
end

gemspec
@@ -12,12 +12,15 @@ Gem::Specification.new do |gem|
gem.description = gem.summary
gem.license = 'MIT'

gem.files = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
gem.files = `git ls-files`.split($/).reject do |f|
f.match(%r{^(spec|img|gemfiles)})
end

gem.test_files = gem.files.grep(%r{^spec/})
gem.required_ruby_version = '>= 2.0.0'

gem.add_runtime_dependency 'activerecord', '>= 4.1.0'
gem.add_runtime_dependency 'with_advisory_lock', '>= 3.0.0'
gem.add_runtime_dependency 'activerecord', '>= 4.2.10'
gem.add_runtime_dependency 'with_advisory_lock', '>= 4.0.0'

gem.add_development_dependency 'appraisal'
gem.add_development_dependency 'database_cleaner'
@@ -4,9 +4,9 @@ source "https://rubygems.org"

gem "activerecord", "~> 4.2.0"

platforms :ruby, :rbx do
gem "mysql2", '~> 0.4.10'
gem "pg", '~> 0.21.0'
platforms :ruby do
gem "mysql2", "< 0.5"
gem "pg", "~> 0.21"
gem "sqlite3"
end

@@ -16,4 +16,4 @@ platforms :jruby do
gem "activerecord-jdbcsqlite3-adapter"
end

gemspec :path => "../"
gemspec path: "../"
@@ -4,9 +4,9 @@ source "https://rubygems.org"

gem "activerecord", "~> 5.0.0"

platforms :ruby, :rbx do
gem "mysql2", '~> 0.4.10'
gem "pg", '~> 0.21.0'
platforms :ruby do
gem "mysql2"
gem "pg"
gem "sqlite3"
end

@@ -16,4 +16,4 @@ platforms :jruby do
gem "activerecord-jdbcsqlite3-adapter"
end

gemspec :path => "../"
gemspec path: "../"
@@ -4,8 +4,8 @@ source "https://rubygems.org"

gem "activerecord", "~> 5.1.0"

platforms :ruby, :rbx do
gem "mysql2", '~> 0.4.10'
platforms :ruby do
gem "mysql2"
gem "pg"
gem "sqlite3"
end
@@ -16,4 +16,4 @@ platforms :jruby do
gem "activerecord-jdbcsqlite3-adapter"
end

gemspec :path => "../"
gemspec path: "../"
@@ -4,8 +4,8 @@ source "https://rubygems.org"

gem "activerecord", "~> 5.2.0"

platforms :ruby, :rbx do
gem "mysql2", '~> 0.4.10'
platforms :ruby do
gem "mysql2"
gem "pg"
gem "sqlite3"
end
@@ -16,4 +16,4 @@ platforms :jruby do
gem "activerecord-jdbcsqlite3-adapter"
end

gemspec :path => "../"
gemspec path: "../"
@@ -2,10 +2,9 @@

source "https://rubygems.org"

gem "activerecord", :github => "rails/rails"
gem "arel", :github => "rails/arel"
gem "activerecord", github: "rails/rails"

platforms :ruby, :rbx do
platforms :ruby do
gem "mysql2"
gem "pg"
gem "sqlite3"
@@ -17,4 +16,4 @@ platforms :jruby do
gem "activerecord-jdbcsqlite3-adapter"
end

gemspec :path => "../"
gemspec path: "../"
@@ -1,3 +1,3 @@
module ClosureTree
VERSION = Gem::Version.new('6.6.0')
VERSION = Gem::Version.new('7.0.0')
end

0 comments on commit 1bc10c8

Please sign in to comment.